> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Task List

> Interface description: Get the video generation task list of the current user in pages.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/video/generations
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/ai/video/generations:
    get:
      tags:
        - AI Services/Video Generation
      summary: Video Task List
      description: >-
        Interface description: Get the video generation task list of the current
        user in pages.
      operationId: VideoController_listVideoTasks
      parameters:
        - name: page
          in: query
          description: Page number, starting from 1, default value 1
          required: false
          example: 1
          schema:
            default: 1
            type: integer
            minimum: 1
            maximum: 9007199254740991
        - name: pageSize
          in: query
          description: >-
            Number of pages per page. It is recommended to set a reasonable size
            based on interface restrictions. The default value is 1.
          required: false
          example: 10
          schema:
            default: 10
            type: integer
            minimum: 1
            maximum: 1000
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ListVideoTasksResponseVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      page: 1
                      pageSize: 1
                      totalPages: 1
                      total: 1
                      list:
                        - id: string
                          model: string
                          status: string
                          input:
                            prompt: string
                            groupId: string
                            image: {}
                            images:
                              - {}
                            audios:
                              - {}
                            duration: 1
                            aspectRatio: string
                            resolution: string
                            videoUrl: string
                            videos:
                              - {}
                          submittedAt: '2026-07-02T12:00:00.000Z'
                          startedAt: '2026-07-02T12:00:00.000Z'
                          videoUrl: string
                          coverUrl: string
                          mediaId: string
                          groupId: string
                          error:
                            message: string
                          finishedAt: '2026-07-02T12:00:00.000Z'
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                invalidAiTaskId12302:
                  summary: InvalidAiTaskId (12302)
                  value:
                    code: 12302
                    message: Invalid AI task ID
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    ListVideoTasksResponseVo:
      type: object
      properties:
        page:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Page number, starting from 1
        pageSize:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: >-
            Number of pages per page. It is recommended to set a reasonable size
            based on interface restrictions.
        totalPages:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Total pages
        total:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: >-
            Total quantity, used in paging scenarios to represent the total
            number of data that meets the conditions.
        list:
          type: array
          items:
            type: object
            properties:
              id:
                description: Task ID
                type: string
              model:
                type: string
                description: Model name
              status:
                type: string
                description: Task status
              input:
                type: object
                properties:
                  prompt:
                    type: string
                    description: prompt word
                  groupId:
                    description: Material group ID
                    type: string
                  image:
                    description: Image URL
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                  images:
                    description: Reference image URL list
                    type: array
                    items:
                      type: string
                  audios:
                    description: Reference audio URL list
                    type: array
                    items:
                      type: string
                  duration:
                    description: Duration (seconds)
                    type: number
                  aspectRatio:
                    description: aspect ratio
                    type: string
                  resolution:
                    description: resolution
                    type: string
                  videoUrl:
                    description: First reference video URL
                    type: string
                  videos:
                    description: Reference video URL list
                    type: array
                    items:
                      type: string
                required:
                  - prompt
                additionalProperties: false
                description: input parameters
              videoUrl:
                description: Generated video URL
                type: string
              coverUrl:
                description: Generate the cover URL of the video
                type: string
              mediaId:
                description: Saved material ID
                type: string
              groupId:
                description: Asset group ID saved to
                type: string
              error:
                description: error message
                type: object
                properties:
                  message:
                    description: error message
                    type: string
                required:
                  - message
                additionalProperties: false
              submittedAt:
                description: Submission time
                type: string
                format: date-time
              startedAt:
                description: start time
                type: string
                format: date-time
              finishedAt:
                description: completion time
                type: string
                format: date-time
            required:
              - id
              - model
              - status
              - input
              - submittedAt
              - startedAt
            additionalProperties: false
          description: Data list
      required:
        - page
        - pageSize
        - totalPages
        - total
        - list
      additionalProperties: false
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````